Bug 454968 - Problems upgrading From Fedora 8 x86_64 to Fedora 9 x86_64 (multilib issues?)
Problems upgrading From Fedora 8 x86_64 to Fedora 9 x86_64 (multilib issues?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 03:18 EDT by Eli Wapniarski
Modified: 2009-07-14 12:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug Run with Apt-Get (226.57 KB, text/plain)
2008-08-10 12:46 EDT, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2008-07-11 03:18:30 EDT
Description of problem:

I'm trying to upgrade my Fedora 8 x86_64 box to Fedora 9 x86_64 with apt-get. I
have been successful with this since FC4.

After updating sysvinit to upstart apt-get returns

WARNING: The following essential packages will be removed                       
This should NOT be done unless you know exactly what you are doing!             
  authconfig newt-python (due to authconfig) rhpl (due to authconfig) kudzu rpm 
  rpm-libs (due to rpm) vim-minimal 

Please help
Comment 1 Panu Matilainen 2008-08-05 08:18:55 EDT
Assigning to correct component
Comment 2 Eli Wapniarski 2008-08-09 03:38:17 EDT
Hi Panu

What's up with this? It's starting to get a little urgent because of the upcoming end of life with Fedora 8. Any suggestions that I could do in the mean time.

There seems to be a whole lot of dependency issues when trying to get the upgrade done.
Comment 3 Eli Wapniarski 2008-08-09 12:35:42 EDT
Oops... Didn't notice that it was assigned to Axel. So... Hi Axel... Any progress on this?
Comment 4 Axel Thimm 2008-08-09 15:57:46 EDT
Can you try using just

apt-get upgrade

to get the bulk of the updates done and then retry the dist-upgrade?

The worst part is that it tries to remove rpm and rpm-libs. You can try -o Debug::pkgProblemResolver=true to get some more verbose output to see why apt would like to remove rpm/rpm-libs.
Comment 5 Eli Wapniarski 2008-08-10 12:46:56 EDT
Created attachment 313894 [details]
Debug Run with Apt-Get

OK -- Success... Mostly... I still have some perl issues but the upgrade is now complete.

Here is the order that got things done; with a brief explanations. Seems like a few balls got dropped when documenting dependencies in the packages. This should never have been this hard.

Anyway... Thanks for the suggestion Axel. And please... could you and the boys make sure that these dependency issues don't pop up again... Please?

Again Thanks for your help Axel.

Eli

-------------

Suggested from the debug info

apt-get -f install authconfig newt-python python rhpl kudzu vim vim-minimal totem-pl-parser

Conflicts with 32bit packages. These conflicts should never have happened.

rpm -e perl.32bit glib2-2.14.6-2.fc8.i386 gnome-keyring-2.20.3-1.fc8.i386 libsoup-2.2.104-1.fc8.i386 libbonobo-2.20.3-1.fc8.i386 gtk2-2.12.8-2.fc8.i386 ORBit2-2.14.10-2.fc8.i386 dbus-glib-0.73-8.fc8.i386 flash-plugin-9.0.124.0-release.i386 nspluginwrapper-i386-0.9.91.5-1.x86_64 gail-1.20.2-1.fc8.i386 pango-1.18.4-1.fc8.i386 atk-1.20.0-1.fc8.i386 gamin-0.1.9-4.fc8.i386 libIDL-0.8.9-1.fc8.i386 libglade2-2.6.2-3.fc8.i386 openldap-2.3.39-4.fc8.i386 avahi-0.6.21-8.fc8.i386 avahi-glib-0.6.21-8.fc8.i386 GConf2-2.20.1-1.fc8.i386 gnome-vfs2-2.20.1-1.fc8.i386 libgnome-2.20.1-2.fc8.i386 evolution-data-server-1.12.3-6.fc8.i386

libgweather gnome-applets

apt-get -f install authconfig newt-python python rhpl kudzu vim vim-minimal totem-pl-parser

apt-get -f upgrade

rpm -e --nodeps tetex texinfo-tex tetex-latex jadetex

apt-get -f dist-upgrade

Same issue with rpm and rpm-libs but the following was held back so...

apt-get -f install beagle ldapjdk ncurses ncurses-devel

apt-get -f dist-upgrade

Finally
Comment 6 Axel Thimm 2008-08-10 13:25:14 EDT
Sounds like a multilib problem. AFAIU multilib support in apt isn't yet perfect, and you may be seeing some bug manifestation of it. That's why your bug report is even more of value!

I think this is an upstream issue and since we have upstream in the house I'll switch Cc and Assigned_To positions :)
Comment 7 Eli Wapniarski 2008-08-10 16:23:44 EDT
OK... I hope this gets fixed soonest. Thanks again.
Comment 8 Bug Zapper 2009-06-09 22:02:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:12:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.